<%= form_with(model: routine) do |form| %>
  <% if routine.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(routine.errors.count, "error") %> prohibited this routine from being saved:</h2>
      <ul>
        <% routine.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
  <div>
    <%= form.label :name, style: "display: block" %>
    <%= form.text_field :name %>
  </div>
  <div>
    <%= form.label "Exercises", style: "display: block" %>

    <%= collection_check_boxes(:routine, :exercise_ids, Exercise.all, :id, :description_with_intensity ) do |m| %>
        <li><%= m.check_box%> - <%= m.label%></li>
    <%end%>
  </div>
  <div>
    <%= form.submit %>
  </div>
<% end %>
